### Constructor

# Vips Sbuf new_from_source

#### Declaration [src]

    VipsSbuf*
    vips_sbuf_new_from_source (
      VipsSource* source
    )

#### Description [src]

Create a `VipsSbuf` wrapping a source.

#### Parameters

`source`

  Type: `VipsSource`

  Source to operate on.

  The data is owned by the caller of the function.

#### Return value

Type: `VipsSbuf`

A new `VipsSbuf`.

The caller of the function takes ownership of the data, and is responsible for freeing it.